Get flow status
curl --request GET \
--url https://api.portable.io/v2/flows/{id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portable.io/v2/flows/{id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portable.io/v2/flows/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 568971,
"lifecycle": "NOT_RUNNING",
"disposition": "SUCCEEDED",
"resources": null,
"errors": null,
"completedAt": "2023‐06‐12T20:03:00Z"
}{
"message": "Unauthorized"
}{
"message": "Your current plan does not support this feature"
}{
"message": "Not Found"
}Flows
Get flow status
Get a flow’s status by flow ID. Use this endpoint to check whether a flow is running or not, or get details about the flow’s last run. The response includes the flow’s lifecycle status, disposition, and the status of the resources involved in the
GET
/
v2
/
flows
/
{id}
/
status
Get flow status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the flow
Example:
568971
Response
OK
The ID of the flow
The lifecycle status of the flow
Available options:
PENDING, RUNNING, NOT_RUNNING The disposition of the flow
Available options:
SUCCEEDED, FAILED, NONE Show child attributes
Show child attributes
The errors that occurred during the flow's execution
The timestamp marking when the execution of the flow was last completed. It will be set to null either if the flow is actively running or has never been initiated.

